bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: wishlist item: add version support info to doc strings


From: David Kastrup
Subject: Re: wishlist item: add version support info to doc strings
Date: 09 Nov 2001 14:34:11 +0100
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.1

>>>>> "era" == era eriksson <address@hidden> writes:

    era> In GNU Emacs 19.34.1 (alpha-dec-osf4.0, X toolkit) of Wed Mar
    era> 5 1997 on kantti Please describe exactly what actions
    era> triggered the bug and the precise symptoms of the bug:

    era> As someone who still occasionally has to work on systems
    era> where administration refuses to take the plunge and move to
    era> Emacs v20, I would very much appreciate it if new Lisp
    era> functions could be annotated with a remark about in which
    era> version of Emacs they were introduced.  Presently, writing
    era> Elisp code which works on Emacs 19 and Emacs 20 is very much
    era> a matter of trial and error, at least when Emacs 20 is your
    era> primary platform.

Should be rather Emacs-21, since it has had vast usability
improvements.

    era> As an example, I just happened to stumble over a useful
    era> function `substitute-key-definition' which I wasn't aware of
    era> before. But before I can use it for anything, I have to
    era> connect to the system where I'm still stuck with Emacs 19,
    era> and fire up Emacs and look for this function in this version
    era> of Emacs. (Turns out it's supported. Good good.)

Is there a particular reason that you don't look in the ChangeLogs and
NEWS files?

-- 
David Kastrup, Kriemhildstr. 15, 44793 Bochum
Email: address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]